Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 975038 - Implement callback for after the remoting service is started
Summary: Implement callback for after the remoting service is started
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Andy Taylor
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-17 13:28 UTC by Justin Bertram
Modified: 2013-08-28 08:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-22 13:16:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Justin Bertram 2013-06-17 13:28:02 UTC
When AS7 starts and HornetQ is in back-up mode the server needs a callback so it can set the default credentials once the back-up actually starts.

Comment 2 Justin Bertram 2013-08-21 13:35:43 UTC
I believe this was essentially resolved by Jeff Mesnil via https://issues.jboss.org/browse/WFLY-171. See https://github.com/jmesnil/wildfly/blob/3ccf3f74d2c188f4de111942ffd1aa27c4d21f61/messaging/src/main/java/org/jboss/as/messaging/jms/JMSService.java#L85 specifically.  IMO, this BZ can be closed.

Comment 3 Miroslav Novak 2013-08-22 13:02:40 UTC
Hi Jeff, 

could you provide info to this bz, please?

This shows up in statistics of open issues for HQ. Let's get rid of it.

Thanks,

Mirek

Comment 4 Jeff Mesnil 2013-08-22 13:10:10 UTC
this BZ is out of date. We were able to work around this issue directly in WildFly code base.

You can close it.

Comment 5 Miroslav Novak 2013-08-22 13:16:59 UTC
Ok, thanks! Closing.


Note You need to log in before you can comment on or make changes to this bug.